import { type ReactNode } from 'react';
import { type ButtonProps } from './button';
export declare function BlockContextMenu({ children }: {
    children: ReactNode;
}): string | number | bigint | boolean | import("react/jsx-runtime").JSX.Element | Iterable<ReactNode> | Promise<string | number | bigint | boolean | import("react").ReactPortal | import("react").ReactElement<unknown, string | import("react").JSXElementConstructor<any>> | Iterable<ReactNode> | null | undefined> | null | undefined;
export declare function BlockActionButton({ className, defaultStyles, ...props }: Partial<ButtonProps> & {
    defaultStyles?: boolean;
}): import("react/jsx-runtime").JSX.Element;
